gsw_pressure_freezing_CT {gsw} | R Documentation

## Pressure at which Seawater Freezes

### Description

Pressure at which Seawater Freezes

### Usage

    gsw_pressure_freezing_CT(SA, CT, saturation_fraction = 1)

### Arguments

`SA` | Absolute Salinity [ g/kg ]
`CT` | Conservative Temperature [ degC ]
`saturation_fraction` | fraction of air in water [unitless]

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

pressure at which freezing will occur [ dbar ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_pressure_freezing_CT.html

### Examples

    SA <- c(                 34.7118, 34.8915, 35.0256, 34.8472, 34.7366, 34.7324)
    CT <- c(                 -1.8996, -1.9407, -2.0062, -2.0923, -2.3593, -2.6771)
    saturation_fraction <- c(       1,    0.8,     0.6,     0.5,     0.4,       0)
    p <- gsw_pressure_freezing_CT(SA, CT, saturation_fraction)
    expect_equal(p/1e3, c(0.009890530270710, 0.050376026585933, 0.125933117050624,
                        0.251150973076077, 0.601441775836021, 1.002273338145043))

[Package gsw version 1.0-5 Index]